## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  com.belmoussaoui.Authenticator

%global bundled_rust_deps 1

Name:           authenticator
Version:        4.3.1
Release:        %autorelease
Summary:        Generate Two-Factor Codes
License:        GPL-3.0-or-newer
URL:            https://gitlab.gnome.org/World/Authenticator
Source0:        https://gitlab.gnome.org/World/Authenticator/-/archive/%{version}/Authenticator-%{version}.tar.bz2
Source1:        Authenticator-%{version}-vendor.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.56
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk4) >= 4.10
BuildRequires:  pkgconfig(libadwaita-1) >= 1.2
BuildRequires:  pkgconfig(zbar) >= 0.20
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.18
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:  rust-packaging
%if 0%{?bundled_rust_deps}
BuildRequires:  clang-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(libpipewire-0.3)
%endif

Requires:       hicolor-icon-theme

%description %{expand:
%{summary}.}

%prep
%autosetup -n Authenticator-%{version} -p1 %{?bundled_rust_deps:-a 1}

%if ! 0%{?bundled_rust_deps}
%cargo_prep
%generate_buildrequires
%cargo_generate_buildrequires
%endif


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
%meson_test

desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml


%files -f %{name}.lang
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/authenticator
%{_datadir}/%{name}/
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/dbus-1/services/%{app_id}.SearchProvider.service
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/%{app_id}.search-provider.ini
%{_datadir}/icons/hicolor/*/*/%{app_id}*
%{_metainfodir}/%{app_id}.metainfo.xml


%changelog
* Sun Apr 30 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 4.3.1-1
- Initial import
